Modify

Opened 7 years ago

Last modified 5 years ago

#2301 new defect

Error: No such node -- SVN RM branches/foo causes permanent end to revtree

Reported by: anonymous Owned by: eblot
Priority: high Component: RevtreePlugin
Severity: blocker Keywords: svnmerge branches
Cc: jim@…, jsceballos@…, rjollos Trac Release: 0.11

Description

i have created a branch of a branch.

svnmerge was used to tag up the activity.

the revtree plugin dies when it tries to render the revision following the rm of the new branch.

please shed some advice with svnmerge or with a patch, this is important to us.

← Previous Changeset Next Changeset →
Changeset 65
Timestamp:
12/11/07 18:06:00 (16 hours ago)
Author:
jn
Message:
Initialized merge tracking via "svnmerge" with revisions "64" from 
http://rf.net/svn/Moka5/branches/orig 
Files:
1 copied

branches/admin_crud (copied from branches/orig) (1 prop)
branches/admin_crud
Property svnmerge-integrated changed from  /trunk:1-41 to  /branches/orig:64 /trunk:1-41


← Previous Changeset Next Changeset →
Changeset 76
Timestamp:
12/12/07 09:47:08 (less than one hour ago)
Author:
jn
Message:
 
Files:
1 removed

branches/admin_crud

Attachments (0)

Change History (8)

comment:1 Changed 7 years ago by anonymous

  • Keywords revtree svnmerge svn branches holycrapitsdead! added

comment:2 Changed 7 years ago by eblot

  • Keywords revtree svn holycrapitsdead! removed
  • Priority changed from highest to high
  • Do you get any traceback on the web page ?
  • Have you installed the merge enhancer plugin ?

Also:

  • Please check your trac.log file (w/ DEBUG mode enabled) and see if there are some revtree-related info, it will help to understand the issue.
  • Please provide the results of the following command svn log -v -r 65:76 http://rf.net/svn/Moka5

comment:3 Changed 7 years ago by anonymous

i need to preface this with the manual prop dels that i have done --

i did svn cp in rev 65
then before checking in did svn init -s -F
(forced, before commiting).

so far so good, pretty svg splines everywhere.

when teh branch was decided a dead end, it was rm'd

when the revtree plugin came up dead, i started rotorooting the revprops and you won't see what was otherwise default handling

tracd -p 8000 /usr/local/CustomerTrac/xyz/ -s -r 2>session

tail session
16:00:04 Trac[loader] DEBUG: Loading bitten.coverage from /usr/lib/python2.5/site-packages/Bitten-0.6dev_r517-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading bitten.web_ui from /usr/lib/python2.5/site-packages/Bitten-0.6dev_r517-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading bitten.admin from /usr/lib/python2.5/site-packages/Bitten-0.6dev_r517-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading bitten.testing from /usr/lib/python2.5/site-packages/Bitten-0.6dev_r517-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading pagetopdf.pagetopdf from /usr/lib/python2.5/site-packages/TracPageToPDF-0.2-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading logenhancer from /usr/lib/python2.5/site-packages/TracRevtreeLogEnhancer-0.1.3dev_r2638-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading mergeenhancer from /usr/lib/python2.5/site-packages/TracRevtreeMergeEnhancer-0.1.0dev-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading revtree.optimizer from /usr/lib/python2.5/site-packages/TracRevtreePlugin-0.5.12dev_r2841-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading revtree.web_ui from /usr/lib/python2.5/site-packages/TracRevtreePlugin-0.5.12dev_r2841-py2.5.egg
16:00:04 Trac[loader] DEBUG: Loading revtree.enhancer from /usr/lib/python2.5/site-packages/TracRevtreePlugin-0.5.12dev_r2841-py2.5.egg
16:00:04 Trac[default_workflow] DEBUG: Workflow actions at initialization: {'leave': {'operations': [u'leave_status'], 'name': 'leave', 'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, 'reopen': {'operations': [u'del_resolution'], 'name': 'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], 'permissions': [u'TICKET_CREATE']}, 'resolve': {'operations': [u'set_resolution'], 'name': 'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], 'permissions': [u'TICKET_MODIFY']}, 'accept': {'operations': [u'set_owner_to_self'], 'name': 'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], 'permissions': [u'TICKET_MODIFY']}, 'reassign': {'operations': [u'set_owner'], 'name': 'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], 'permissions': [u'TICKET_MODIFY']}}

16:00:04 Trac[env] WARNING: base_url option not set in configuration, generated links may be incorrect
16:00:04 Trac[main] DEBUG: Dispatching <Request "GET u'/revtree'">
16:00:04 Trac[svn_fs] DEBUG: Subversion bindings imported
16:00:04 Trac[session] DEBUG: Retrieving session for ID 'a0164bad25d50d13a60de35a'
16:00:05 Trac[api] DEBUG: Enhancers: [<mergeenhancer.mergeenhancer.MergeEnhancer object at 0xa7dbb8c>]
16:00:05 Trac[chrome] DEBUG: Prepare chrome data for request
16:00:05 Trac[main] WARNING: 404 No such node (No node branches/admin_crud at revision 76)
24.4.108.16 - - [12/Dec/2007 16:00:05] "GET /revtree HTTP/1.1" 404 -

------------------------------------------------------------------------
r65 |   | 2007-12-11 18:06:00 -0800 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   A /branches/admin_crud (from /branches/rf:64)

Initialized merge tracking via "svnmerge" with revisions "64" from 
http://rf.net/svn/Moka5/branches/rf


------------------------------------------------------------------------
r66 | | 1 line
Changed paths:

Doctrine experiment on php5.2.5
------------------------------------------------------------------------
r67 | | 1 line
Changed paths:
   M /branches/rf/modules/Livepc/Forms/EditLivepcForm.php
   M /branches/rf/modules/Livepc/LivepcAction.php

refactoring changes and bug fixing
------------------------------------------------------------------------
r68 | | 1 line
Changed paths:
   M /branches/rf/classes/LivepcManager.php

defect fixes for updates
------------------------------------------------------------------------
r69 | | 1 line
Changed paths:
   M /branches/rf/classes/LivepcManager.php

merged with moka5 changes (rev 63)
------------------------------------------------------------------------
r70 | | 1 line
Changed paths:
   M /branches/rf/config/config.inc.php.sample

added IMAGE_PATH, IMAGE_DROP globals
------------------------------------------------------------------------
r71 | | 1 line
Changed paths:
   M /branches/rf/classes/LivepcManager.php

image upload changes - still not complete
------------------------------------------------------------------------
r72 | | 1 line
Changed paths:
   M /branches/rf/modules/Livepc/Forms/EditLivepcForm.php

file upload changes - still not complete
------------------------------------------------------------------------
r73 | | 1 line
Changed paths:
   M /branches/rf/classes/LivepcManager.php

some logo changes
------------------------------------------------------------------------
r74 | | 3 lines
Changed paths:
   M /branches/rf/config/Setuprrf

fix rm of Model directory, it is "model"


------------------------------------------------------------------------
r75 | | 3 lines
Changed paths:
   M /branches/rf/config/config.inc.php.sample

Fix quoting for SITE_ROOT global definition.


------------------------------------------------------------------------
r76 | | 1 line
Changed paths:
   D /branches/admin_crud



comment:4 Changed 6 years ago by koen@…

Encountered the same, I used Eclipse to remove a branch, revtree is still looking for the branch and comes up with 'NO SUCH NODE'. Somehow it keeps state, i.e. revtree remembers a branch was there - I would try to workaround it by deleting the temp/cache but I have no idea where/what.

Any suggestions ?

comment:5 Changed 6 years ago by koen@…

by the way, doing a trac-admin /path/to/trachome resync doesnt help!

comment:6 Changed 5 years ago by rjollos

  • Cc ryano@… added

comment:7 Changed 5 years ago by anonymous

  • Cc jsceballos@… added

comment:8 Changed 5 years ago by rjollos

  • Cc rjollos added; ryano@… removed

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.